import type { ChangeListener, Hash, Route } from './types';
export declare const getRouteAndParamsFromHash: (hash: Hash, routePatterns: Route[]) => {
    route: string;
    routePattern: string;
    params: Record<string, string | number | boolean>;
    reconstructedHash: string;
};
export declare const withChangeListener: (changeListeners: ChangeListener[], changeListenerToBeAdded: ChangeListener) => ChangeListener[];
export declare const withoutChangeListener: (changeListeners: ChangeListener[], changeListenerToBeRemoved: ChangeListener) => ChangeListener[];
