import type { Route, Title, TitleGetter, ChangeListener } from './types';
declare const createRouter: (routes: Record<Route, Title | TitleGetter>) => {
    params: Record<string, string | number | boolean>;
    route: string;
    matchedRoute: string;
    currentTitle: string;
    setRoutes: (routes: Record<Route, Title | TitleGetter>) => void;
    navigateTo: (route: Route) => void;
    refresh: () => void;
    addChangeListener: (changeListenerToBeAdded: ChangeListener) => void;
    removeChangeListener: (changeListenerToBeRemoved: ChangeListener) => void;
};
export default createRouter;
